PDA

View Full Version : Shader version 150



TheVyax
07-04-2012, 10:03 AM
Hi forum,

i a using a Mac OS X 10.7.4 and the Doku says that GLSL version 1.5 is supported.
https://developer.apple.com/graphicsimaging/opengl/capabilities/GLInfo_1073_Core.html

But when i create my shader (#version 150) i get this error:
ERROR: 0:2: '' : version '150' is not supported

menzel
07-04-2012, 10:37 AM
Hi,

you probably got a OpenGL 2.1 context, check the OpenGL version at runtime (glGetString( GL_VERSION ) ) and look up Apples docs how to request a core profile.